2019-12-10 11:06 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001835FSSCPmultiplayerpublic2008-12-04 14:30
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001835: ASSERTION: "var_index != -1" at sexp.cpp:2952
DescriptionAs of yesterdays Knightly build this is happening on the standalones. It's a default :V: mission M-03 and crashed both with and without the MediaVPs.
Additional Information3.6.10 Knihtly Build revision 4970
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010334

chief1983 (administrator)

Last edited: 2008-12-04 13:00

Looks related to Karajorma's fix for 1733. Whether it's something he did wrong, or his assert caught/verified another bug I don't know.

~0010335

karajorma (administrator)

Is it the standalone or the client who crashes?

~0010338

FUBAR-BDHR (developer)

The standalone. Not sure if the client does or not.

~0010339

karajorma (administrator)

Looks like I forgot that Sexp_nodes[n].text holds the name of the variable in FRED but the index in Sexp_variables in FS2.

Doh!
+Notes

-Issue History
Date Modified Username Field Change
2008-12-03 18:16 FUBAR-BDHR New Issue
2008-12-03 18:16 FUBAR-BDHR File Added: 12-03-08.log
2008-12-04 12:57 chief1983 Status new => assigned
2008-12-04 12:57 chief1983 Assigned To => karajorma
2008-12-04 12:58 chief1983 Note Added: 0010334
2008-12-04 13:00 chief1983 Note Edited: 0010334
2008-12-04 13:14 karajorma Note Added: 0010335
2008-12-04 14:11 FUBAR-BDHR Note Added: 0010338
2008-12-04 14:30 karajorma Status assigned => resolved
2008-12-04 14:30 karajorma Fixed in Version => 3.6.10
2008-12-04 14:30 karajorma Resolution open => fixed
2008-12-04 14:30 karajorma Note Added: 0010339
+Issue History